=== modified file 'src/client_side_request.cc'
--- src/client_side_request.cc	2010-11-18 08:01:53 +0000
+++ src/client_side_request.cc	2010-11-23 02:41:20 +0000
@@ -931,7 +931,7 @@
     if (req_hdr->has(HDR_VIA)) {
         String s = req_hdr->getList(HDR_VIA);
         /*
-         * ThisCache cannot be a member of Via header, "1.0 ThisCache" can.
+         * ThisCache cannot be a member of Via header, "1.1 ThisCache" can.
          * Note ThisCache2 has a space prepended to the hostname so we don't
          * accidentally match super-domains.
          */
@@ -1204,7 +1204,7 @@
 
     // TODO: Unify with tunnel.cc and add a Server(?) header
     static const char *const conn_established =
-        "HTTP/1.0 200 Connection established\r\n\r\n";
+        "HTTP/1.1 200 Connection established\r\n\r\n";
     comm_write(fd, conn_established, strlen(conn_established),
                &SslBumpEstablish, this, NULL);
 }

=== modified file 'src/tunnel.cc'
--- src/tunnel.cc	2010-10-06 03:50:45 +0000
+++ src/tunnel.cc	2010-11-23 02:38:57 +0000
@@ -117,7 +117,7 @@
 
 #define fd_closed(fd) (fd == -1 || fd_table[fd].closing())
 
-static const char *const conn_established = "HTTP/1.0 200 Connection established\r\n\r\n";
+static const char *const conn_established = "HTTP/1.1 200 Connection established\r\n\r\n";
 
 static CNCB tunnelConnectDone;
 static ERCB tunnelErrorComplete;

